unit WrongXAxis;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.StdCtrls,
  VCLTee.TeeComma, VCLTee.TeEngine, VCLTee.TeeTools, VCLTee.Series,
  VCLTee.BubbleCh, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    AllOptimizationChart: TChart;
    AllOptSeriesNone: TBubbleSeries;
    AllOptSeriesMathEquation: TBubbleSeries;
    AllOptSeriesDerivative: TBubbleSeries;
    AllOptSeriesSmoothing: TBubbleSeries;
    AllOptSeriesBaseline: TBubbleSeries;
    AllOptSeriesFourierFilter: TBubbleSeries;
    AllOptSeriesBinning: TBubbleSeries;
    AllOptLabelTool: TMarksTipTool;
    TeeCommander1: TTeeCommander;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
const
  BubbleSizeC = 0.15;
var
  i: Integer;
begin
  try
    for i := 0 to AllOptimizationChart.SeriesList.Count - 1 do
      AllOptimizationChart.Series[i].BeginUpdate;
    try
      AllOptSeriesNone.AddBubble(0.1, 1, BubbleSizeC, 'My First label', clRed);
      AllOptSeriesMathEquation.AddBubble(0.2, 2, BubbleSizeC, 'My Second label', clAqua);
      AllOptSeriesDerivative.AddBubble(0.3, 3, BubbleSizeC, 'My Third label', clLime);
      AllOptSeriesSmoothing.AddBubble(0.4, 4, BubbleSizeC, 'My Fourt label', clBlue);
      AllOptSeriesBaseline.AddBubble(0.5, 5, BubbleSizeC, 'My Fifth label', clYellow);
      AllOptSeriesFourierFilter.AddBubble(0.6, 6, BubbleSizeC, 'My Sixt label', clFuchsia);
      AllOptSeriesBinning.AddBubble(0.7, 7, BubbleSizeC, 'My Seventh label', clGreen);
    finally
      for i := 0 to AllOptimizationChart.SeriesList.Count - 1 do
      begin
        AllOptimizationChart.Series[i].EndUpdate;
        AllOptimizationChart.Series[i].Visible := True;
        AllOptimizationChart.Series[i].Active := True;
      end;
    end;
  finally
    AllOptimizationChart.AutoRepaint := True;
    AllOptimizationChart.Repaint;
  end;
end;

end.
